<ng-container *ngIf="authService.user">
  <div class="flex flex-nowrap flex-col-reverse lg:flex-row">
    <div
      class="flex mt-6 lg:mt-10 w-full lg:w-[255px] px-2 justify-center lg:justify-around"
    >
      <app-container-icon
        [icon]="'/assets/images/money.webp'"
        [value]="authService.user.gold"
        class="mr-8 lg:mr-0"
      ></app-container-icon>
      <app-container-icon
        [icon]="'/assets/images/power.webp'"
        [value]="authService.user.power"
      ></app-container-icon>
    </div>

    <div *ngIf="selectedTrooper" class="relative ml-4 lg:ml-auto mr-4 lg:mr-20">
      <img
        src="/assets/images/title.webp"
        class="m-auto"
        alt=""
        draggable="false"
      />
      <h1
        class="absolute text-xl text-white font-bold left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2 lg:mt-[-6px] shadow-title"
      >
        {{
          displaySkill
            ? "Fiche de " + selectedTrooper.name
            : "Choisir une compétence"
        }}
      </h1>
    </div>
  </div>

  <div class="flex items-center lg:items-start flex-col lg:flex-row">
    <div
      class="flex mt-2 mb-6 lg:mb-0 w-[255px] min-w-[255px] items-center flex-col"
    >
      <app-troopers-block
        [troopers]="authService.user.troopers"
        [context]="'navigation'"
      ></app-troopers-block>
    </div>

    <ng-container *ngIf="displaySkill && selectedTrooper">
      <app-trooper-skills
        [selectedTrooper]="selectedTrooper"
        (switchButton)="switchButton()"
        (updatedTrooper)="updatedTrooper($event)"
      ></app-trooper-skills>
    </ng-container>

    <ng-container *ngIf="!displaySkill && selectedTrooper">
      <app-trooper-choice
        [selectedTrooper]="selectedTrooper"
        (returnChoice)="onReturn()"
        (updatedTrooper)="updatedTrooper($event)"
      ></app-trooper-choice>
    </ng-container>
  </div>
</ng-container>
